#include <iostream>

using namespace std;

long long indeksmaks(int a[],long long n, long long m)
{
    long long maks=m;
    for(long long i=m+1;i<n;i++)
    {
        if(a[i]>a[maks]) maks=i;
        
    }
    return maks;
}
void zamena(int a[],long long n,long long m)
{
    long long i=indeksmaks(a,n,m);
    if(m==n-1) swap(a[m-1],a[m]);
    else if(m!=i) swap(a[m],a[i]);
    else zamena(a,n,m+1);
}
int main()
{
    long long n;
    cin >> n;
    int a[n];
    for(long long i=0;i<n;i++) cin >> a[i];
    zamena(a,n,0);
    for(long long i=0;i<n;i++) cout << a[i] << " ";   
}